org.jboss.netty.handler.codec.spdy

## Class SpdyProtocolException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jboss.netty.handler.codec.spdy.SpdyProtocolException

All Implemented Interfaces:
  Serializable

    public class SpdyProtocolException
    extends Exception

An `Exception` which is thrown when the received frame cannot be decoded by the `SpdyFrameDecoder`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SpdyProtocolException()` Creates a new instance.
`SpdyProtocolException(String message)` Creates a new instance.
`SpdyProtocolException(String message, Throwable cause)` Creates a new instance.
`SpdyProtocolException(Throwable cause)` Creates a new instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SpdyProtocolException

    public SpdyProtocolException()

Creates a new instance.

#### SpdyProtocolException

    public SpdyProtocolException(String message,
                         Throwable cause)

Creates a new instance.

#### SpdyProtocolException

    public SpdyProtocolException(String message)

Creates a new instance.

#### SpdyProtocolException

    public SpdyProtocolException(Throwable cause)

Creates a new instance.